config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/ConsoleKit/seats.d/00-primary.seat.new
preserve_perms etc/rc.d/rc.consolekit.new

( cd lib/udev ; rm -rf udev-acl )
( cd lib/udev ; ln -sf /usr/libexec/udev-acl udev-acl )
( cd usr/lib ; rm -rf libck-connector.so.0 )
( cd usr/lib ; ln -sf libck-connector.so.0.0.0 libck-connector.so.0 )
( cd usr/lib/ConsoleKit/run-seat.d ; rm -rf udev-acl.ck )
( cd usr/lib/ConsoleKit/run-seat.d ; ln -sf /usr/libexec/udev-acl udev-acl.ck )
( cd usr/lib ; rm -rf libck-connector.so )
( cd usr/lib ; ln -sf libck-connector.so.0.0.0 libck-connector.so )
